@import 'bootstrap-variables';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~@ng-select/ng-select/themes/default.theme.css';
@import '~bootstrap-icons/font/bootstrap-icons.css';
@import 'loading';
@import '~bootstrap/scss/mixins';
@import '~ngx-toastr/toastr-bs4-alert';
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* ==============================================================
Bootstrap tweaks
===============================================================*/

body,
h1,
h2,
h3,
h4 {
  font-weight: 300;
}

body {
  font-family: 'Roboto';
  font-size: 15px;
  font-weight: 400;
}

/* Increase contrast of links to get 100% on Lighthouse Accessability Audit. Override this color if you want to change the link color, or use a Bootswatch theme */
a {
  color: #533f03;
  font-weight: bold;
}

a:hover {
  color: #2d9cdb;
}

/* override hover color for dropdown-item forced by bootstrap to all a:not([href]):not([tabindex]) elements in _reboot.scss */
a:not([href]):not([tabindex]):hover.dropdown-item {
  color: $dropdown-link-hover-color;
}

/* override .dropdown-item.active background-color on hover */
.dropdown-item.active:hover {
  background-color: mix($dropdown-link-hover-bg, $dropdown-link-hover-color, 50%);
}

.dropdown-item.active,
.dropdown-item:active {
  color: $dropdown-link-hover-color;
  background-color: $dropdown-link-hover-bg;
}

a:hover {
  /* make sure browsers use the pointer cursor for anchors, even with no href */
  cursor: pointer;
}

.dropdown-item:hover {
  color: $dropdown-link-hover-color;
}

/* ==========================================================================
Browser Upgrade Prompt
========================================================================== */
.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

/* ==========================================================================
Generic styles
========================================================================== */

/* Error highlight on input fields */
.ng-valid[required],
.ng-valid.required {
  border-left: 5px solid green;
}

/* other generic styles */

.jh-card {
  padding: 1.5%;
  margin-top: 20px;
  border: none;
}

.error {
  color: white;
  background-color: red;
}

.pad {
  padding: 10px;
}

.w-40 {
  width: 40% !important;
}

.w-60 {
  width: 60% !important;
}

.break {
  white-space: normal;
  word-break: break-all;
}

.readonly {
  background-color: #eee;
  opacity: 1;
}

.footer {
  border-top: 1px solid rgba(0, 0, 0, 0.125);
}

.hand,
[jhisortby] {
  cursor: pointer;
}

/* ==========================================================================
Custom alerts for notification
========================================================================== */
.alerts {
  .alert {
    text-overflow: ellipsis;

    pre {
      background: none;
      border: none;
      font: inherit;
      color: inherit;
      padding: 0;
      margin: 0;
    }

    .popover pre {
      font-size: 10px;
    }
  }

  .jhi-toast {
    position: fixed;
    width: 100%;

    &.left {
      left: 5px;
    }

    &.right {
      right: 5px;
    }

    &.top {
      top: 55px;
    }

    &.bottom {
      bottom: 55px;
    }
  }
}

@media screen and (min-width: 480px) {
  .alerts .jhi-toast {
    width: 50%;
  }
}

/* ==========================================================================
entity detail page css
========================================================================== */
.row.jh-entity-details > {
  dd {
    margin-bottom: 15px;
  }
}

@media screen and (min-width: 768px) {
  .row.jh-entity-details > {
    dt {
      margin-bottom: 15px;
    }

    dd {
      border-bottom: 1px solid #eee;
      padding-left: 180px;
      margin-left: 0;
    }
  }
}

/* ==========================================================================
ui bootstrap tweaks
========================================================================== */
.nav,
.pagination,
.carousel,
.panel-title a {
  cursor: pointer;
}

.thread-dump-modal-lock {
  max-width: 450px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.border-table {
  border: 1px solid rgba(0, 0, 0, 0.15);
}

// Customize style of pagination
.pagination {
  margin-top: revert !important;
}

.wrap-content {
  white-space: nowrap;
  overflow: hidden;
  display: flex;
  max-width: 1000px;

  p {
    margin-block-end: 0 !important;
  }
}

/* jhipster-needle-scss-add-main JHipster will add new css style */
.ck-editor__editable_inline {
  min-height: 180px;
}

/* style for status */
.status {
  border: 1px solid transparent;
  padding: 6px 10px;
  font-weight: 500;
  font-size: 12px;
  border-radius: 5px;
}

.status-green {
  color: $black;
  background-color: #6aa84f;
}

.status-green-border-orange {
  color: $black;
  background-color: #6aa84f;
  border: 4px solid #ed7d31;
}

.status-green-border-lila {
  color: $black;
  background-color: #6aa84f;
  border: 4px solid #9a57b4;
}

.status-orange {
  color: $black;
  background-color: #ed7d31;
}

.status-blue-bold {
  color: $black;
  background-color: #5b9bd5;
}

.status-red {
  color: $black;
  background-color: #ff0000;
}

.cronjob-status-red {
  color: rgba(255, 42, 42, 1);
  background-color: #ffd0d0;
}

.cronjob-status-green {
  color: rgba(0, 191, 108, 1);
  background-color: #d7ffed;
}

.cronjob-status-orange {
  color: rgba(215, 127, 0, 1);
  background-color: #ffe2b7;
}

.status-yellow {
  color: $black;
  background-color: #ffff00;
}

.status-blue {
  color: $black;
  background-color: #c5e8ff;
}

.status-gray {
  color: rgba(30, 49, 99, 1);
  background-color: #b6d1e5;
}

.status-purple {
  color: $white;
  background-color: #9022ff;
}

td {
  vertical-align: inherit !important;
}

.custom-icon-link {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  padding-top: 2px;
  margin-right: 18px;
  margin-left: 6px;
  text-align: center;
  color: black;

  i {
    vertical-align: sub;
    font-size: 14px;
  }

  &:hover {
    color: black;
    background-color: #e5e5e5;
  }
}

.custom-icon-info {
  width: 34px;
  height: 34px;
  border-radius: 50%;
  padding-top: 4px;
  text-align: center;
  color: black;

  i {
    align-items: center;
    justify-content: center;
    margin: auto;
    font-size: 18px;
  }

  &:hover {
    color: black;
    background-color: #e5e5e5;
  }
}

.custom-icon-info:hover {
  justify-content: center;
  align-items: center;
}

.custom-icon-btn {
  width: 32px;
  height: 32px;
  margin-right: 18px;
  margin-left: 18px;
  border-radius: 50% !important;
  padding: unset;

  i {
    font-size: 14px;
  }

  &:hover {
    background-color: #e5e5e5;
  }
}

.once-per-month {
  width: 260px;
}

// Customize modal
.modal-custom {
  overflow-y: hidden;
}

.modal-detail-custom {
  padding-top: 100px;
}

.header {
  font-weight: 400;
  font-size: 26px;
}

.cursor-email-status {
  cursor: pointer;

  &:after {
    display: none !important;
  }
}

th span {
  text-transform: uppercase !important;
}

label {
  text-transform: capitalize !important;
  font-size: 16px;
  font-weight: 500;
}

.label-unset-transform {
  text-transform: unset !important;
}

.change-item-per-page {
  min-height: 4.5rem;
}

.resend-button {
  color: rgba(255, 42, 42, 1) !important;
  font-size: 12px;
  font-weight: 400;
}

.table thead th {
  font-weight: 400;
  vertical-align: top;
}

.dropdown-menu {
  font-size: 15px;
}

#page-email-checking {
  .custom-tooltip {
    top: 71px !important;
    left: 8px !important;

    .arrow {
      top: calc(15% - 0.4rem) !important;
    }

    opacity: 1 !important;
  }
}

.custom-tooltip .tooltip-inner {
  min-width: 330px;
  border-radius: 3px;
  padding: 25px 13px;
  font-size: 13px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  background-color: white;
  line-height: 22px;
  color: black;
  top: 69px;

  label {
    font-size: 14px;
  }

  .tooltip-content {
    padding-top: 12px;
  }
}

.custom-tooltip .arrow:before {
  border-right-color: white;
}

.drop-item-action {
  padding: 0.5rem 1rem;
}

.content-dialog-detail {
  font-size: 13px;
}

.footer-dialog-detail {
  font-size: 14px;
}

.template-detail-title {
  font-weight: 500;
  font-size: 18px;
}

.label-custom {
  font-size: 15px;
  font-weight: 400;
}

.text-warning-custom {
  color: rgba(239, 154, 26, 1);
  font-size: 13px;
}

.min-height-200px {
  min-height: 200px;
}

.word-break {
  word-break: break-all;
}

//reduce size for screen less than 13 inch
@media screen and (max-width: 1278px) {
  body {
    font-size: 12px !important;
  }
}

.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  padding: 5px;
  background-color: white;
  z-index: 2051 !important; // because .dropdown has default z-index: 2050 that can not be override
}

.modal {
  z-index: 2053 !important; // modal index need to be bigger than .sticky
}

.modal-backdrop {
  z-index: 2053 !important; // modal index need to be bigger than .sticky
}

.dropdown-menu {
  z-index: 2053 !important; // modal index need to be bigger than .sticky
}

.email-tracking-style {
  //.dropdown {
  //  z-index: 0 !important;
  //}
  .dropdown-menu {
    height: 20rem;
    overflow-y: scroll;
    position: absolute;
  }
}

.email-tracking-style {
  .dropdown {
    z-index: 0 !important;
  }

  .dropdown-menu {
    height: 20rem;
    overflow-y: scroll;
    position: absolute;
  }
}

.tag-management {
  .categories {
    max-width: 200px;
    margin: 0;
  }
}

.error-select {
  .ng-select-container {
    border: 1px solid red;
  }
}

.error-input {
  border: 1px solid red;
}

.candidate-management {
  &__filter {
    &__from {
      .filter-input-group {
        position: relative;
        display: grid;
        grid-template-columns: 1fr 50px 200px 1fr;
        gap: 12px;
        align-items: center;

        .delete-filter {
          border: hidden;
          width: 24px;
          height: 24px;
          color: #000;
          background-color: inherit;
          position: absolute;
          right: -32px;
        }
      }

      .radio {
        display: flex;
        margin-top: 12px;

        label {
          margin-right: 12px;
        }
      }

      &__tags {
        display: flex;
        justify-content: space-between;

        &.disabled {
          opacity: 0.6;
        }
      }
    }

    &__list-item {
      display: flex;
      justify-content: space-between;
    }

    .add-filter-btn {
      border: hidden;
      background-color: inherit;
    }

    button:active {
      outline: none;
      border: hidden;
    }

    .submit-btn-group {
      display: flex;
      justify-content: space-around;
      padding: 0 24em;
    }
  }

  &__create-list-btn {
    position: absolute;
    top: 50px;
    right: 50px;
  }

  &__control {
    display: flex;
    justify-content: space-between;

    &__filter {
      div {
        display: flex;
        align-items: center;

        button {
          border: 1px solid rgba($color: #000000, $alpha: 0.2);
          background-color: inherit;
          outline: none;
          padding: 8px 24px;
          margin-right: 24px;
        }

        p {
          margin: 0;
        }
      }
    }

    &__mode {
      display: flex;
      align-items: center;

      .column-list-control {
        width: 312px;
        padding: 16px 22px;

        h4 {
          font-style: normal;
          font-weight: 500;
          font-size: 20px;
          line-height: 23px;
        }

        p {
          margin: 0;
        }

        .search {
          margin: 24px 0;
        }

        form {
          max-height: 340px;
          overflow-y: auto;

          .form-check {
            margin: 18px 0;
          }
        }
      }

      &__view {
        display: flex;
        margin-left: 24px;
        border: 1px solid rgba($color: #000000, $alpha: 0.15);
        border-radius: 2px;

        button {
          background-color: inherit;
          border: none;
          outline: none;
          width: 30px;
          height: 30px;
          display: flex;
          align-items: center;
          justify-content: center;

          i {
            line-height: 1;
          }

          &.active {
            background-color: rgba($color: #000000, $alpha: 0.15);
          }
        }
      }

      .dropdown-footer {
        display: flex;
        justify-content: flex-end;
      }
    }
  }

  &__table__edit-group-button {
    display: flex;
    align-items: center;
    bottom: unset;
    justify-content: space-between;
    position: relative;

    button {
      background-color: inherit;
      border: none;
      outline: none;
    }

    .tooltip {
      z-index: 10;
    }
  }
}

.tooltip.show {
  z-index: 10;
}
.table-fixed {
  position: relative;

  max-height: 80vh;
  overflow: auto;

  table {
    box-sizing: border-box;
    border-collapse: separate;
    border-spacing: 0;

    thead tr th {
      border-bottom: 1px solid #000000;
    }
  }

  .table .thead-light th {
    background-color: #f7f7f7;
    border: none;
    font-size: 0.8125rem;
  }

  .fixed-header {
    background: #ccc;
    position: sticky;
    padding: 0.5rem;
    z-index: 2;
    top: 0;
  }

  th,
  td {
    min-width: 110px;
  }

  .fixed-side {
    position: sticky;
    z-index: 2;
    opacity: 1;

    &:first-child {
      left: 0;
    }

    &:nth-child(2) {
      left: 110px;
    }

    &:nth-child(3) {
      left: 220px;
    }

    &:nth-child(4) {
      left: 330px;
    }
  }

  .fixed-header.fixed-side {
    z-index: 3;
  }

  .last-fixed {
    border-right: 1px solid #f7f7f7;
  }

  tbody tr {
    td {
      background-color: white;
      white-space: nowrap;
    }
  }

  tbody tr:nth-of-type(2n) {
    td {
      background-color: #f7f7f7;
    }
  }

  tbody tr.fixed-side:last-child {
    background-color: red;
    color: red;
  }
}

.cv-drop-file {
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px dashed rgba($color: #000000, $alpha: 0.5);

  &.invalid {
    border: 1px dashed rgba($color: red, $alpha: 0.5);
  }

  &__content {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;

    i {
      margin-right: 12px;
    }

    button {
      margin-left: 8px;
      border: none;
      outline: none;
      background-color: inherit;
      color: #2d9cdb;
      padding: 0;
    }
  }
}

.content-center {
  justify-content: center;
}

.cv-list-dialog {
  border: 1px solid rgba($color: #000000, $alpha: 0.3);
  display: flex;
  flex-direction: column;
  border-bottom: hidden;
  max-height: 60vh;
  overflow-y: auto;
  position: relative;

  &__row {
    display: grid;
    grid-template-columns: 80px 1fr;
    column-gap: 180px;
    padding: 12px 80px;
    border-bottom: 1px solid rgba($color: #000000, $alpha: 0.3);

    &:first-child {
      background-color: #f6f6f6;
      border-bottom: hidden;
      position: sticky;
      top: 0;

      span {
        font-weight: 400;
        font-size: 14px;
        line-height: 18px;
        color: rgba($color: #000000, $alpha: 0.8);
      }
    }
  }
}

.export-excel-columns {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  row-gap: 20px;
}
